Différences

Ci-dessous, les différences entre deux révisions de la page.

Lien vers cette vue comparative

Les deux révisions précédentes Révision précédente
enlightenment_script [Le 10/12/2006, 02:17]
82.234.72.137 reverted to version [10/12/2006, 01:11]
enlightenment_script [Le 30/05/2007, 22:11] (Version actuelle)
193.52.94.2 Le script est totalement obsolète, suppression de tout ce qui s'y rapport
Ligne 11: Ligne 11:
 La version CVS contient les toutes dernières modifications apportées à E17.  Cela a l'​avantage de comporter les mises à jour de sécurité et les innovations les plus récentes, mais a l'​inconvénient de comporter aussi des bogues encore non répertoriés et non corrigés. ​ La version CVS peut donc apporter des surprises lors de son utilisation. ​ Vous serez prévenus! ​ Vous ne devriez donc installer E17 que si vous êtes prêt à assumer de possibles instabilités. La version CVS contient les toutes dernières modifications apportées à E17.  Cela a l'​avantage de comporter les mises à jour de sécurité et les innovations les plus récentes, mais a l'​inconvénient de comporter aussi des bogues encore non répertoriés et non corrigés. ​ La version CVS peut donc apporter des surprises lors de son utilisation. ​ Vous serez prévenus! ​ Vous ne devriez donc installer E17 que si vous êtes prêt à assumer de possibles instabilités.
  
- 
-**Si vous décidez d'​utiliser la méthode exposée pour Dapper en utilisant le script, gardez en tete que vous ne pourrez PAS faire cohabiter e16 et e17. Si vous désirez faire cela, veuillez suivre les liens indiqués pour l'​installation "​Breezy"​** 
  
 **Attention : Si le script échoue, il peut etre tentant de compiler la librairie ou application manquante a la main, puis de reprendre la compilation avec le script. Ne le faites PAS, sous peine de vous retrouver avec Enlightenment non utilisable ainsi que des morceaux d'​installation disséminés dans votre systeme. Si vous optez pour une compilation manuelle, compilez TOUT a la main, en utilisant les liens ci-apres** **Attention : Si le script échoue, il peut etre tentant de compiler la librairie ou application manquante a la main, puis de reprendre la compilation avec le script. Ne le faites PAS, sous peine de vous retrouver avec Enlightenment non utilisable ainsi que des morceaux d'​installation disséminés dans votre systeme. Si vous optez pour une compilation manuelle, compilez TOUT a la main, en utilisant les liens ci-apres**
  
-===== Installation ​pour Breezy ​=====+===== Installation =====
  
-La méthode présentée ci-après pour créer des paquets .deb en utilisant un script n'est plus fonctionnelle depuis mars, à cause de dépendances non résolvables. Si vous utilisez Breezy et que vous souhaitez compiler Enlightenment DR17, vous allez donc devoir utiliser la méthode manuelle. ​Vous pouvez par exemple utiliser le script de Brian '​Morlenxus'​ Miculcy, **[[http://​omicron.homeip.net/​projects/​easy_e17/​easy_e17.sh|Disponible ici. Version actuelle : 1.0.3]]**, et vous reporter à [[https://​wiki.ubuntu.com/​InstallingE17Howto?​highlight=%28e17%29|ce wiki]].+Vous pouvez par exemple utiliser le script de Brian '​Morlenxus'​ Miculcy, **[[http://​omicron.homeip.net/​projects/​easy_e17/​easy_e17.sh|Disponible ici. Version actuelle : 1.0.3]]**, et vous reporter à [[https://​wiki.ubuntu.com/​InstallingE17Howto?​highlight=%28e17%29|ce wiki]].
 Vous pouvez également vous référer au **[[https://​vogelweith.homeftp.net/​Linux/​e17.php|guide suivant]]** ou encore au guide de référence sur [[http://​www3.get-e.org/​EFL_User_Guide/​English/​_pages/​2.1.html|get-e.org]] Vous pouvez également vous référer au **[[https://​vogelweith.homeftp.net/​Linux/​e17.php|guide suivant]]** ou encore au guide de référence sur [[http://​www3.get-e.org/​EFL_User_Guide/​English/​_pages/​2.1.html|get-e.org]]
 Note: faites attention, l'​installation dans un repertoire isolé du systeme comme /opt/e17 est fortement conseillée pour une suppression plus facile. Note: faites attention, l'​installation dans un repertoire isolé du systeme comme /opt/e17 est fortement conseillée pour une suppression plus facile.
- 
-===== Installation Pour Dapper===== 
- 
-==== Préalables ==== 
-D'​abord,​ sachez que E17 doit être compilé avec le compilateur Automake 1.9.  Pour vous assurer que vous utilisez bien Automake 1.9, tapez dans un terminal les commandes suivantes: 
-<​code>​$ sudo apt-get install automake1.9 
-$ sudo update-alternatives --config automake</​code>​ 
-Sélectionnez l'​option correspondant à Automake 1.9. 
- 
-Pour utiliser cette méthode, vous devrez au préalablement désinstaller E16, si est installé sur votre machine : 
-<​code>​sudo aptitude purge enlightenment enlightenment-data</​code>​ 
- 
-Ensuite, assurez-vous de la présence de tous les paquets nécessaires à la compilation de E17. 
- 
-Utilisez la commande suivante, dans un terminal, pour télécharger les dépendances de E17: <​code>​$ sudo apt-get install build-essential byacc checkinstall cvs cdbs debhelper flex gstreamer0.10-ffmpeg libbz2-dev libcurl3-dev libfreetype6-dev libglade2-dev libgstreamer0.10-dev libgstreamer-plugins-base0.10-dev libjpeg62-dev libltdl3-dev libncurses5-dev libpng3-dev libsmbclient-dev libsqlite3-dev libssl-dev libtagc0-dev libtiff4-dev libtool libttf-dev libungif4-dev libxcursor-dev libxine-dev libxinerama-dev libxp-dev libxrender-dev libxss-dev xlibs-dev zlib1g-dev libgl1-mesa-dev automake1.9 libasound2-dev libxrender-dev libxdamage-dev libxcomposite-dev libxslt1-dev</​code>​ 
- 
- 
-==== Téléchargement du script d'​installation ==== 
-Une fois les dépendances de E17 acquises, il est maintenant possible de passer à la compilation de l'​environnement de travail à proprement parler. 
- 
-La procédure manuelle de compilation de E17 et tous ses modules est vraiment longue et complexe. ​ Heureusement,​ un script a été écrit par Shaika-Dzari et Luteola, puis modifié par LukeG et Lut!n //(merci à eux :-))// pour automatiser toutes les étapes du processus. 
- 
-**[[http://​Lut1n.ifrance.com/​compil-e17.sh|Télécharger le script pour Dapper. Version actuelle : 0.2-1]]** 
- 
-Enregistrez le fichier dans votre dossier personnel. ​ Afin de pouvoir l'​exécuter,​ vous devez lui en donner les droits. ​ Pour ce faire utilisez la commande suivante: <​code>​ cd repertoire_de_telechargement && chmod a+x compil-e17.sh</​code>​ 
- 
-==== Téléchargement et compilation de E17 ==== 
-Lancez maintenant le script précédemment téléchargé. ​ Dans un premier temps, vous pouvez si vous le voulez prendre connaissance des différentes options offertes par le script. Pour cela, saisissez la commande suivante dans un terminal: <​code>​sudo ./​compil-e17.sh --help</​code>​ 
-Sinon, lancez directement le script sans paramètre: <​code>​sudo ./​compil-e17.sh</​code>​ 
- 
-Le téléchargement et la compilation de E17 nécessitant au moins 20 minutes (sinon [bien] plus!), nous vous conseillons de sortir faire une promenade. ​ C'est si bon pour la santé, et plutôt que d'​attendre bêtement devant votre écran, puisque vous passez tout votre temps à geeker, vous négligez votre santé à fumer, boire du café et vous gaver de pizza, ce ne saurait être un meilleur conseil! ;-)  Trève de plaisanterie. ​ Si tout s'est bien déroulé, le script vous demande avec quel gestionnaire de démarrage vous souhaitez lancer Ubuntu. 
- 
-> **Astuce:** Utilisez le choix "MAJ de e17" ( n°7 ) pour que le script complète entièrement la procédure d'​installation de façon automatique. ​ 
- 
-> **Astuce** Si vous rencontrez des problèmes avec le script au moment de télécharger les sources, vous pouvez utiliser cette commande : 
-><​code>​mkdir ~/e17 
-cd ~/e17 
-cvs -qz3 -d:​pserver:​anonymous:​@anoncvs.enlightenment.org:/​var/​cvs/​e co e17 misc e_modules</​code>​ 
- 
----- 
- 
-**Remarques d'​ordre général** : * Pour pouvoir compiler correctement e17 si vous avez téléchargé les sources '​manuellement',​ vous devrez corriger un probleme de permissions sur le dossier des CVS. POur ce faire, tapez dans un terminal <​code>​chmod -R 755 /​votre/​dossier/​de/​telechargement</​code>​ 
-* Pour compiler le e_module evolume, vous devrez installer automake1.9 et libasound2-dev:​ 
-<​code>​sudo aptitude install automake1.9 libasound2-dev</​code>​ 
-il vous faudra ensuite sélectionner automake1.9 pour la compilation de ce module, en utilisant la méthode décrite en début de wiki. 
-* Pour compiler Bling, vous devrez également installer libxrender-dev libxdamage-dev libxcomposite-dev. 
- 
----- 
- 
-**Remarque sur les sources CVS actuelles** 
- 
-L'​étape 12/15 de la Compilation des EFL du scripts automatique ne fonctionne pas. Il faut changer le nom d'un paquet dans le fichier : <​code>​~/​e17/​e17/​libs/​emotion/​debian/​control</​code>​ La ligne 33/62 doit ressembler à ca : <​code>​Depends:​ ${shlibs:​Depends},​ libemotion0,​ libxine-main1</​code>​ 
- 
-Vous rencontrerez également des problèmes a l'​étape 14 de la compilation des librairies, c'​est-à-dire EWL. Ceci est du à des erreurs dans les fichiers permettant de créer les paquets debian d'ewl. La méthode pour résoudre ce problème est exposée **[[http://​forum.ubuntu-fr.org/​viewtopic.php?​pid=368553#​p368553|ici]]** 
  
 ====Ajout de modules==== ====Ajout de modules====
Ligne 96: Ligne 40:
 <​code>/​usr/​lib/​enlightenment/​modules_extra</​code>​ <​code>/​usr/​lib/​enlightenment/​modules_extra</​code>​
 Et il suffit là aussi de changer le nom du dossier pour que le "​686"​ soit un "​486"​. Et il suffit là aussi de changer le nom du dossier pour que le "​686"​ soit un "​486"​.
- 
-> **Astuce:** Vous pouvez compiler des modules sans aucun problème en utilisant le choix 4 du script. 
  
 ===== Lancer E17===== ===== Lancer E17=====
  • enlightenment_script.txt
  • Dernière modification: Le 30/05/2007, 22:11
  • par 193.52.94.2